install package ttf-dejavu-extra on image scalars
Closed, ResolvedPublic

Description

The font "DejaVu Sans Condensed" and "DejaVu Serif Condensed" don't exist or recognized anymore. (As I mentioned over a year ago: https://meta.wikimedia.org/wiki/Talk:SVG_fonts#DejaVu_Condensed.3F)

Example: [[File:Meta_SVG_fonts.svg]]

There is another inaccurate Bug 17845 with 3 examples but with various causes.
Render of the Attachment (11875): https://upload.wikimedia.org/wikipedia/commons/thumb/archive/5/55/20121015230649!NSdiagram.svg/500px-NSdiagram.svg.png


Version: unspecified
Severity: normal
URL: https://upload.wikimedia.org/wikipedia/commons/archive/5/55/20121015230649!NSdiagram.svg
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=17845
https://rt.wikimedia.org/SelfService/Display.html?id=7302

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz63206.
Perhelion created this task.Via LegacyMar 27 2014, 10:07 PM
Bawolff added a comment.Via ConduitApr 16 2014, 5:29 PM

ttf-dejavu-extra is not listed at https://git.wikimedia.org/blob/operations%2Fpuppet.git/production/manifests%2Fimagescaler.pp#L44 and the condensed version is not listed at https://noc.wikimedia.org/conf/fc-list

Conclusion, need to install the package on image scalars

Bawolff added a comment.Via ConduitApr 16 2014, 5:42 PM

RT 7302

gerritbot added a comment.Via ConduitApr 16 2014, 7:44 PM

Change 126834 had a related patch set uploaded by Brian Wolff:
Add ttf-dejavu to image scalars for "DejaVu (Sans|Serif) Condensed".

https://gerrit.wikimedia.org/r/126834

gerritbot added a comment.Via ConduitApr 17 2014, 7:01 AM

Change 126834 merged by Giuseppe Lavagetto:
Add ttf-dejavu-core,ttf-dejavu-extra to image scalers for "DejaVu (Sans|Serif) Condensed".

https://gerrit.wikimedia.org/r/126834

Bawolff added a comment.Via ConduitApr 17 2014, 6:49 PM

This is fixed now. If there are any files that were uploaded earlier and have the wrong font displayed, you can fix it by doing ?action=purge on the image description page (e.g. https://commons.wikimedia.org/wiki/File:Meta_SVG_fonts.svg?action=purge )

Bawolff added a comment.Via ConduitApr 17 2014, 7:04 PM

For reference, in addition to the condensed variants, it also adds oblique and italic variants, as well as an Extra light version of DejaVu Sans.

https://packages.debian.org/sid/all/fonts-dejavu-extra/filelist

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.